<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::ITransientExpression Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1ITransientExpression.html">ITransientExpression</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structCatch_1_1ITransientExpression-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::ITransientExpression Struct Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::ITransientExpression:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1ITransientExpression__inherit__graph.png" border="0" usemap="#Catch_1_1ITransientExpression_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1ITransientExpression_inherit__map" id="Catch_1_1ITransientExpression_inherit__map">
<area shape="rect" title=" " alt="" coords="5,78,207,105"/>
<area shape="rect" href="classCatch_1_1BinaryExpr.html" title=" " alt="" coords="277,5,427,47"/>
<area shape="rect" href="classCatch_1_1MatchExpr.html" title=" " alt="" coords="259,71,445,112"/>
<area shape="rect" href="classCatch_1_1UnaryExpr.html" title=" " alt="" coords="255,137,449,163"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3b436e13a0a6d3522bbf70d4e31deb22"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a3b436e13a0a6d3522bbf70d4e31deb22">isBinaryExpression</a> () const -&gt; bool</td></tr>
<tr class="separator:a3b436e13a0a6d3522bbf70d4e31deb22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a101c7db86c87eff93a8ff496720e6320"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a101c7db86c87eff93a8ff496720e6320">getResult</a> () const -&gt; bool</td></tr>
<tr class="separator:a101c7db86c87eff93a8ff496720e6320"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabe1889df9c6e639a24afb08d8a0fe9e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#aabe1889df9c6e639a24afb08d8a0fe9e">streamReconstructedExpression</a> (std::ostream &amp;os) const =0</td></tr>
<tr class="separator:aabe1889df9c6e639a24afb08d8a0fe9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafe69572b7ed884e63ec81f58d4afd8c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#aafe69572b7ed884e63ec81f58d4afd8c">ITransientExpression</a> (bool <a class="el" href="structCatch_1_1ITransientExpression.html#a3b436e13a0a6d3522bbf70d4e31deb22">isBinaryExpression</a>, bool result)</td></tr>
<tr class="separator:aafe69572b7ed884e63ec81f58d4afd8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeadf426de589938c4964fe4068eeee77"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#aeadf426de589938c4964fe4068eeee77">~ITransientExpression</a> ()</td></tr>
<tr class="separator:aeadf426de589938c4964fe4068eeee77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b436e13a0a6d3522bbf70d4e31deb22"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a3b436e13a0a6d3522bbf70d4e31deb22">isBinaryExpression</a> () const -&gt; bool</td></tr>
<tr class="separator:a3b436e13a0a6d3522bbf70d4e31deb22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a101c7db86c87eff93a8ff496720e6320"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a101c7db86c87eff93a8ff496720e6320">getResult</a> () const -&gt; bool</td></tr>
<tr class="separator:a101c7db86c87eff93a8ff496720e6320"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabe1889df9c6e639a24afb08d8a0fe9e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#aabe1889df9c6e639a24afb08d8a0fe9e">streamReconstructedExpression</a> (std::ostream &amp;os) const =0</td></tr>
<tr class="separator:aabe1889df9c6e639a24afb08d8a0fe9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafe69572b7ed884e63ec81f58d4afd8c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#aafe69572b7ed884e63ec81f58d4afd8c">ITransientExpression</a> (bool <a class="el" href="structCatch_1_1ITransientExpression.html#a3b436e13a0a6d3522bbf70d4e31deb22">isBinaryExpression</a>, bool result)</td></tr>
<tr class="separator:aafe69572b7ed884e63ec81f58d4afd8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeadf426de589938c4964fe4068eeee77"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#aeadf426de589938c4964fe4068eeee77">~ITransientExpression</a> ()</td></tr>
<tr class="separator:aeadf426de589938c4964fe4068eeee77"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a75ce48da824d514d08152d396abb28d8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a75ce48da824d514d08152d396abb28d8">m_isBinaryExpression</a></td></tr>
<tr class="separator:a75ce48da824d514d08152d396abb28d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4646e2b5e0156e913653ec3b9b60c942"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a4646e2b5e0156e913653ec3b9b60c942">m_result</a></td></tr>
<tr class="separator:a4646e2b5e0156e913653ec3b9b60c942"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aafe69572b7ed884e63ec81f58d4afd8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafe69572b7ed884e63ec81f58d4afd8c">&#9670;&nbsp;</a></span>ITransientExpression() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::ITransientExpression::ITransientExpression </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isBinaryExpression</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>result</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aeadf426de589938c4964fe4068eeee77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeadf426de589938c4964fe4068eeee77">&#9670;&nbsp;</a></span>~ITransientExpression() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::ITransientExpression::~ITransientExpression </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aafe69572b7ed884e63ec81f58d4afd8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafe69572b7ed884e63ec81f58d4afd8c">&#9670;&nbsp;</a></span>ITransientExpression() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::ITransientExpression::ITransientExpression </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isBinaryExpression</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>result</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aeadf426de589938c4964fe4068eeee77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeadf426de589938c4964fe4068eeee77">&#9670;&nbsp;</a></span>~ITransientExpression() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::ITransientExpression::~ITransientExpression </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a101c7db86c87eff93a8ff496720e6320"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a101c7db86c87eff93a8ff496720e6320">&#9670;&nbsp;</a></span>getResult() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::ITransientExpression::getResult </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; bool </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a101c7db86c87eff93a8ff496720e6320"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a101c7db86c87eff93a8ff496720e6320">&#9670;&nbsp;</a></span>getResult() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::ITransientExpression::getResult </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; bool </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3b436e13a0a6d3522bbf70d4e31deb22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b436e13a0a6d3522bbf70d4e31deb22">&#9670;&nbsp;</a></span>isBinaryExpression() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::ITransientExpression::isBinaryExpression </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; bool </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3b436e13a0a6d3522bbf70d4e31deb22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b436e13a0a6d3522bbf70d4e31deb22">&#9670;&nbsp;</a></span>isBinaryExpression() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::ITransientExpression::isBinaryExpression </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; bool </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aabe1889df9c6e639a24afb08d8a0fe9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabe1889df9c6e639a24afb08d8a0fe9e">&#9670;&nbsp;</a></span>streamReconstructedExpression() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::ITransientExpression::streamReconstructedExpression </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>os</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classCatch_1_1MatchExpr.html#ad3e41adb597750b2219bb37e51185629">Catch::MatchExpr&lt; ArgT, MatcherT &gt;</a>, <a class="el" href="classCatch_1_1MatchExpr.html#ad3e41adb597750b2219bb37e51185629">Catch::MatchExpr&lt; ArgT, MatcherT &gt;</a>, <a class="el" href="classCatch_1_1UnaryExpr.html#aaabf30455a996c80675c0f388a6e4110">Catch::UnaryExpr&lt; LhsT &gt;</a>, <a class="el" href="classCatch_1_1UnaryExpr.html#aaabf30455a996c80675c0f388a6e4110">Catch::UnaryExpr&lt; LhsT &gt;</a>, <a class="el" href="classCatch_1_1BinaryExpr.html#af998022712d4bd3e4fc7ab9b8a38b445">Catch::BinaryExpr&lt; LhsT, RhsT &gt;</a>, and <a class="el" href="classCatch_1_1BinaryExpr.html#af998022712d4bd3e4fc7ab9b8a38b445">Catch::BinaryExpr&lt; LhsT, RhsT &gt;</a>.</p>

</div>
</div>
<a id="aabe1889df9c6e639a24afb08d8a0fe9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabe1889df9c6e639a24afb08d8a0fe9e">&#9670;&nbsp;</a></span>streamReconstructedExpression() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::ITransientExpression::streamReconstructedExpression </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>os</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classCatch_1_1MatchExpr.html#ad3e41adb597750b2219bb37e51185629">Catch::MatchExpr&lt; ArgT, MatcherT &gt;</a>, <a class="el" href="classCatch_1_1MatchExpr.html#ad3e41adb597750b2219bb37e51185629">Catch::MatchExpr&lt; ArgT, MatcherT &gt;</a>, <a class="el" href="classCatch_1_1UnaryExpr.html#aaabf30455a996c80675c0f388a6e4110">Catch::UnaryExpr&lt; LhsT &gt;</a>, <a class="el" href="classCatch_1_1UnaryExpr.html#aaabf30455a996c80675c0f388a6e4110">Catch::UnaryExpr&lt; LhsT &gt;</a>, <a class="el" href="classCatch_1_1BinaryExpr.html#af998022712d4bd3e4fc7ab9b8a38b445">Catch::BinaryExpr&lt; LhsT, RhsT &gt;</a>, and <a class="el" href="classCatch_1_1BinaryExpr.html#af998022712d4bd3e4fc7ab9b8a38b445">Catch::BinaryExpr&lt; LhsT, RhsT &gt;</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a75ce48da824d514d08152d396abb28d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75ce48da824d514d08152d396abb28d8">&#9670;&nbsp;</a></span>m_isBinaryExpression</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::ITransientExpression::m_isBinaryExpression</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4646e2b5e0156e913653ec3b9b60c942"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4646e2b5e0156e913653ec3b9b60c942">&#9670;&nbsp;</a></span>m_result</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::ITransientExpression::m_result</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
